public static interface LanguageEndpointBuilderFactory.LanguageBuilders
| Modifier and Type | Method and Description |
|---|---|
default LanguageEndpointBuilderFactory.LanguageEndpointBuilder |
language(String path)
Language (camel-language)
The language component allows you to send a message to an endpoint
which executes a script by any of the supported Languages in Camel.
|
default LanguageEndpointBuilderFactory.LanguageEndpointBuilder language(String path)
language:languageName:resourceUri
Path parameter: languageName (required)
Sets the name of the language to use
The value can be one of: bean, constant, exchangeProperty, file,
groovy, header, javascript, jsonpath, mvel, ognl, , ref, simple,
spel, sql, terser, tokenize, xpath, xquery, xtokenize
Path parameter: resourceUri
Path to the resource, or a reference to lookup a bean in the Registry
to use as the resourceApache Camel